declare class ResizeHandler {
    constructor(el: any);
    parent: any;
    el: any;
    parameters: {};
    lastUpdateCall: number[] | null;
    p: any;
    transformPoint(x: any, y: any, m: any): any;
    _extractPosition(event: any): {
        x: any;
        y: any;
    };
    init(options: any): any;
    container: any;
    options: {} | undefined;
    stop(): ResizeHandler;
    resize(event: any): void;
    m: any;
    offset: {
        x: number;
        y: number;
    } | undefined;
    resizeLimits: any;
    _resizeLeft: ((snap: any, resizeFont: any, checkAspectRatio: any, checkAspectRatioReverse: any, updateOnlyChanges: any) => void) | undefined;
    _resizeRight: ((snap: any, resizeFont: any, checkAspectRatio: any, checkAspectRatioReverse: any) => void) | undefined;
    _resizeTop: ((snap: any, checkAspectRatio: any, checkAspectRatioReverse: any, updateOnlyChanges: any) => void) | undefined;
    _resizeBottom: ((snap: any, checkAspectRatio: any, checkAspectRatioReverse: any) => void) | undefined;
    calc: ((diffX: any, diffY: any) => void) | undefined;
    _resize({ x, y, width, height }: {
        x: any;
        y: any;
        width: any;
        height: any;
    }): void;
    update(event: any): void;
    done(): void;
    snapToGrid(diffX: any, diffY: any, flag: any, pointCoordsY: any): any[];
    constraintToBox(diffX: any, diffY: any, flag: any, pointCoordsY: any): any[];
    checkAspectRatio(snap: any, isReverse: any): any;
    outOfContainer(event: any): true | undefined;
    _updateConstraint(): void;
    constraint: {
        minX: any;
        maxX: any;
        minY: any;
        maxY: any;
    } | undefined;
}
